Bug 1017469 - [abrt] subtitleeditor-0.40.0-4.fc19: gobj: Process /usr/bin/subtitleeditor was killed by signal 11 (SIGSEGV)
[abrt] subtitleeditor-0.40.0-4.fc19: gobj: Process /usr/bin/subtitleeditor wa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subtitleeditor (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
abrt_hash:deb94eb30385160e177f22a35e6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 20:47 EDT by Kanzen
Modified: 2014-02-09 22:15 EST (History)
2 users (show)

See Also:
Fixed In Version: subtitleeditor-0.41.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-09 22:13:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (113.67 KB, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: core_backtrace (106.18 KB, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: dso_list (22.23 KB, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: environ (1.78 KB, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: maps (109.66 KB, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: open_fds (1.50 KB, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-10-09 20:47 EDT, Kanzen
no flags Details
File: var_log_messages (462 bytes, text/plain)
2013-10-09 20:48 EDT, Kanzen
no flags Details

  None (edit)
Description Kanzen 2013-10-09 20:47:06 EDT
Description of problem:
Hi !

I was trying to build a sub file from scratches using a mp4 rip from youtube.

Opening and playing the video was ok, extracting the wave was fine too.

It crashed everytime I tried to create key frames from video, pretty early in the process too.

Thanx for attending to this.

Version-Release number of selected component:
subtitleeditor-0.40.0-4.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/subtitleeditor
crash_function: gobj
executable:     /usr/bin/subtitleeditor
kernel:         3.11.3-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gobj at ../gstreamermm/basesink.h:191
 #1 Gst::BaseSink::set_sync at basesink.cc:959
 #2 KeyframesGenerator::create_element at keyframesgenerator.cc:97
 #3 MediaDecoder::on_new_decoded_pad at mediadecoder.h:129
 #4 operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:593
 #5 (anonymous namespace)::DecodeBin_signal_new_decoded_pad_callback at decodebin.cc:99
 #10 close_pad_link at gstdecodebin.c:951
 #11 close_link at gstdecodebin.c:1801
 #12 try_to_link_1 at gstdecodebin.c:1211
 #13 close_pad_link at gstdecodebin.c:974

Potential duplicate: bug 972519
Comment 1 Kanzen 2013-10-09 20:47:14 EDT
Created attachment 810212 [details]
File: backtrace
Comment 2 Kanzen 2013-10-09 20:47:18 EDT
Created attachment 810213 [details]
File: cgroup
Comment 3 Kanzen 2013-10-09 20:47:24 EDT
Created attachment 810214 [details]
File: core_backtrace
Comment 4 Kanzen 2013-10-09 20:47:28 EDT
Created attachment 810215 [details]
File: dso_list
Comment 5 Kanzen 2013-10-09 20:47:32 EDT
Created attachment 810216 [details]
File: environ
Comment 6 Kanzen 2013-10-09 20:47:35 EDT
Created attachment 810217 [details]
File: exploitable
Comment 7 Kanzen 2013-10-09 20:47:39 EDT
Created attachment 810218 [details]
File: limits
Comment 8 Kanzen 2013-10-09 20:47:46 EDT
Created attachment 810219 [details]
File: maps
Comment 9 Kanzen 2013-10-09 20:47:50 EDT
Created attachment 810220 [details]
File: open_fds
Comment 10 Kanzen 2013-10-09 20:47:54 EDT
Created attachment 810221 [details]
File: proc_pid_status
Comment 11 Kanzen 2013-10-09 20:48:02 EDT
Created attachment 810222 [details]
File: var_log_messages
Comment 12 Martin Sourada 2014-01-17 16:18:15 EST
Filed upstream as:
https://gna.org/bugs/index.php?21501
Comment 13 Fedora Update System 2014-01-20 17:36:05 EST
subtitleeditor-0.41.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/subtitleeditor-0.41.0-2.fc20
Comment 14 Fedora Update System 2014-01-20 17:42:55 EST
subtitleeditor-0.41.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/subtitleeditor-0.41.0-2.fc19
Comment 15 Fedora Update System 2014-01-21 22:12:34 EST
Package subtitleeditor-0.41.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing subtitleeditor-0.41.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1275/subtitleeditor-0.41.0-2.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2014-02-09 22:13:05 EST
subtitleeditor-0.41.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-02-09 22:15:13 EST
subtitleeditor-0.41.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.